// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdUiKitComponents", targets: ["WebIdUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdUiKitComponents/8.0.3/WebIdUiKitComponents.framework-v8.0.3-SNAPSHOT-361.zip",
            checksum: "d253bf2292bbf55230abe76d84df23f6fe404262a2a4387347bdedf2a9486994"
        ),
        .target(
            name: "WebIdUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdUiKitComponents"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
